# Group Chats
Welcome to the chats API. This API provides access to the chats service.

## chats [/chats]

### Create chat [POST]

Create a new chat

+ Request chat (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + last_msg_id: 1 (number)

+ Response 201 (application/json; charset=utf-8)
    + Attributes (chat, fixed)

### Get chats [GET]

Returns a chat list.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (array, fixed)
        + (chat)

## chat details [/chats/{id}]

+ Parameters
    + id: `1` (enum[string]) - The ID of the desired chat.
        + Members
            + `1`
            + `2`
            + `3`

### Get chat [GET]

Returns a chat.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (chat, fixed)

### Update chat [PUT]

Update a chat.

+ Request chat (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + last_msg_id: 1 (number)

+ Response 200 (application/json; charset=utf-8)
    + Attributes (chat, fixed)

### Delete chat [DELETE]

Delete a chat.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 204

# Data Structures
## chat (object)

+ id: *1* (number)
+ last_msg_id: *1* (number)
+ created_at: `*2000-01-01 00:00:00*` (string)
+ updated_at: `*2000-01-01 00:00:00*` (string)
